| RouteProcessorCurrentIntegrationTest.php |
file |
core/tests/Drupal/KernelTests/Core/RouteProcessor/RouteProcessorCurrentIntegrationTest.php |
|
| RouteProcessorCurrentIntegrationTest::$modules |
property |
core/tests/Drupal/KernelTests/Core/RouteProcessor/RouteProcessorCurrentIntegrationTest.php |
Modules to install. |
| RouteProcessorCurrentIntegrationTest::$urlGenerator |
property |
core/tests/Drupal/KernelTests/Core/RouteProcessor/RouteProcessorCurrentIntegrationTest.php |
The URL generator. |
| RouteProcessorCurrentIntegrationTest::setUp |
function |
core/tests/Drupal/KernelTests/Core/RouteProcessor/RouteProcessorCurrentIntegrationTest.php |
|
| RouteProcessorCurrentIntegrationTest::testProcessOutbound |
function |
core/tests/Drupal/KernelTests/Core/RouteProcessor/RouteProcessorCurrentIntegrationTest.php |
Tests the output process. |
| RouteProcessorManager |
class |
core/lib/Drupal/Core/RouteProcessor/RouteProcessorManager.php |
Route processor manager. |
| RouteProcessorManager.php |
file |
core/lib/Drupal/Core/RouteProcessor/RouteProcessorManager.php |
|
| RouteProcessorManager::processOutbound |
function |
core/lib/Drupal/Core/RouteProcessor/RouteProcessorManager.php |
Processes the outbound route. |
| RouteProcessorManager::__construct |
function |
core/lib/Drupal/Core/RouteProcessor/RouteProcessorManager.php |
|
| RouteProcessorManagerTest |
class |
core/tests/Drupal/Tests/Core/RouteProcessor/RouteProcessorManagerTest.php |
Tests Drupal\Core\RouteProcessor\RouteProcessorManager. |
| RouteProcessorManagerTest.php |
file |
core/tests/Drupal/Tests/Core/RouteProcessor/RouteProcessorManagerTest.php |
|
| RouteProcessorManagerTest::getMockProcessor |
function |
core/tests/Drupal/Tests/Core/RouteProcessor/RouteProcessorManagerTest.php |
Returns a mock Route processor object. |
| RouteProcessorManagerTest::testRouteProcessorManager |
function |
core/tests/Drupal/Tests/Core/RouteProcessor/RouteProcessorManagerTest.php |
Tests the Route process manager functionality. |
| RouteProvider |
class |
core/lib/Drupal/Core/Routing/RouteProvider.php |
A Route Provider front-end for all Drupal-stored routes. |
| RouteProvider |
class |
core/tests/Drupal/KernelTests/RouteProvider.php |
Rebuilds the router when the provider is instantiated. |
| RouteProvider.php |
file |
core/tests/Drupal/KernelTests/RouteProvider.php |
|
| RouteProvider.php |
file |
core/lib/Drupal/Core/Routing/RouteProvider.php |
|
| RouteProvider::$cache |
property |
core/lib/Drupal/Core/Routing/RouteProvider.php |
The cache backend. |
| RouteProvider::$cacheTagInvalidator |
property |
core/lib/Drupal/Core/Routing/RouteProvider.php |
The cache tag invalidator. |
| RouteProvider::$connection |
property |
core/lib/Drupal/Core/Routing/RouteProvider.php |
The database connection from which to read route information. |
| RouteProvider::$currentPath |
property |
core/lib/Drupal/Core/Routing/RouteProvider.php |
The current path. |
| RouteProvider::$extraCacheKeyParts |
property |
core/lib/Drupal/Core/Routing/RouteProvider.php |
An array of cache key parts to be used for the route match cache. |
| RouteProvider::$fastCache |
property |
core/lib/Drupal/Core/Routing/RouteProvider.php |
The chained fast cache backend. |
| RouteProvider::$languageManager |
property |
core/lib/Drupal/Core/Routing/RouteProvider.php |
The language manager. |
| RouteProvider::$pathProcessor |
property |
core/lib/Drupal/Core/Routing/RouteProvider.php |
A path processor manager for resolving the system path. |
| RouteProvider::$routes |
property |
core/lib/Drupal/Core/Routing/RouteProvider.php |
A cache of already-loaded routes, keyed by route name. |
| RouteProvider::$serializedRoutes |
property |
core/lib/Drupal/Core/Routing/RouteProvider.php |
A cache of already-loaded serialized routes, keyed by route name. |
| RouteProvider::$service |
property |
core/tests/Drupal/KernelTests/RouteProvider.php |
The route provider service. |
| RouteProvider::$state |
property |
core/lib/Drupal/Core/Routing/RouteProvider.php |
The state. |
| RouteProvider::$tableName |
property |
core/lib/Drupal/Core/Routing/RouteProvider.php |
The name of the SQL table from which to read the routes. |
| RouteProvider::addExtraCacheKeyPart |
function |
core/lib/Drupal/Core/Routing/RouteProvider.php |
Adds a cache key part to be used in the cache ID of the route collection. |
| RouteProvider::getAllRoutes |
function |
core/lib/Drupal/Core/Routing/RouteProvider.php |
Returns all the routes on the system. |
| RouteProvider::getAllRoutes |
function |
core/tests/Drupal/KernelTests/RouteProvider.php |
Returns all the routes on the system. |
| RouteProvider::getCandidateOutlines |
function |
core/tests/Drupal/KernelTests/RouteProvider.php |
|
| RouteProvider::getCandidateOutlines |
function |
core/lib/Drupal/Core/Routing/RouteProvider.php |
Returns an array of path pattern outlines that could match the path parts. |
| RouteProvider::getCurrentLanguageCacheIdPart |
function |
core/lib/Drupal/Core/Routing/RouteProvider.php |
Returns the language identifier for the route collection cache. |
| RouteProvider::getQueryParametersCacheIdPart |
function |
core/lib/Drupal/Core/Routing/RouteProvider.php |
Returns the query parameters identifier for the route collection cache. |
| RouteProvider::getRouteAliases |
function |
core/lib/Drupal/Core/Routing/RouteProvider.php |
Gets aliases for a route name. |
| RouteProvider::getRouteAliases |
function |
core/tests/Drupal/KernelTests/RouteProvider.php |
Gets aliases for a route name. |
| RouteProvider::getRouteByName |
function |
core/tests/Drupal/KernelTests/RouteProvider.php |
Find the route using the provided route name. |
| RouteProvider::getRouteByName |
function |
core/lib/Drupal/Core/Routing/RouteProvider.php |
Find the route using the provided route name. |
| RouteProvider::getRouteCollectionCacheId |
function |
core/lib/Drupal/Core/Routing/RouteProvider.php |
Returns the cache ID for the route collection cache. |
| RouteProvider::getRouteCollectionForRequest |
function |
core/lib/Drupal/Core/Routing/RouteProvider.php |
Finds routes that may potentially match the request. |
| RouteProvider::getRouteCollectionForRequest |
function |
core/tests/Drupal/KernelTests/RouteProvider.php |
Finds routes that may potentially match the request. |
| RouteProvider::getRoutesByNames |
function |
core/tests/Drupal/KernelTests/RouteProvider.php |
Find many routes by their names using the provided list of names. |
| RouteProvider::getRoutesByNames |
function |
core/lib/Drupal/Core/Routing/RouteProvider.php |
Find many routes by their names using the provided list of names. |
| RouteProvider::getRoutesByPath |
function |
core/lib/Drupal/Core/Routing/RouteProvider.php |
Get all routes which match a certain pattern. |
| RouteProvider::getRoutesByPattern |
function |
core/lib/Drupal/Core/Routing/RouteProvider.php |
Get all routes which match a certain pattern. |
| RouteProvider::getRoutesByPattern |
function |
core/tests/Drupal/KernelTests/RouteProvider.php |
Get all routes which match a certain pattern. |
| RouteProvider::getSubscribedEvents |
function |
core/lib/Drupal/Core/Routing/RouteProvider.php |
|